#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCA,0x51,0xB8,0xB2,0x53,0x9B,0xF5,0x34,0xA8,0x35,0xC3,0x03,
		0xDB,0xF7,0x40,0xAD,0x74,0xA4,0x40,0xB5,0x7E,0xA2,0xF1,0xE1,
		0x57,0xB0,0x95,0xBE,0xF2,0x8D,0xEB,0xB8,0x00,0x7A,0x36,0xAC,
		0xB7,0x2D,0x40,0xF9,0xFB,0x66,0x9C,0x68,0x9C,0xAE,0x3C,0xA7,
		0x36,0xC1,0xE9,0x23,0x0F,0x95,0x73,0x0B,0xAF,0x83,0x1A,0x90,
		0x41,0x0E,0x98,0x6B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
